petsc-3.12.4 2020-02-04
Report Typos and Errors

# TSGetI2Jacobian

Returns the implicit Jacobian at the present timestep.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSGetI2Jacobian(TS ts,Mat *J,Mat *P,TSI2Jacobian *jac,void **ctx)

Not Collective, but parallel objects are returned if TS is parallel

### Input Parameter

ts -The TS context obtained from TSCreate()

### Output Parameters

| J | - The (approximate) Jacobian of F(t,U,U_t,U_tt)
| P | - The matrix from which the preconditioner is constructed, often the same as J
| jac | - The function to compute the Jacobian matrices
| ctx | - User-defined context for Jacobian evaluation routine

### Notes

You can pass in NULL for any return argument you do not need.

### See Also

TSGetTimeStep(), TSGetMatrices(), TSGetTime(), TSGetStepNumber()

### Level

advanced

### Location

src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages